Installing cscope plugin on Ubuntu 9.10

Post here any ideas/problems/suggestions you have regarding CodeLite's CScope plugin

Installing cscope plugin on Ubuntu 9.10

Postby clanmills » Mon Nov 23, 2009 6:09 am

CodeLite: 2.0 SVN 3365 + Karmic Ubunutu (9.10)

I'm amazed by CodeLite. I hadn't heard about this product until yesterday and I'm blown away. A DevStudio IDE for Linux. A dream come true.

I'm unable to get the cscope plugin to work. The Synaptic package installer refused to install the cscope plugin claiming version incompatibility. Unbuntu installs CodeLite 1.0.2893 When CodeLite 2.0 is installed Synnaptic refuses to install the cscope plugin.

I've pulled down your code from svn and I'm unable to build because I can't get wxwidgets to build.

The cscope button is displayed in the UI. Pressing causes CodeLite to instantly crash.

Any suggestions about to install the cscope plugin?

Robin
clanmills
CodeLite Curious
 
Posts: 2
Joined: Sun Nov 22, 2009 9:46 am

Re: Installing cscope plugin on Ubuntu 9.10

Postby eranif » Mon Nov 23, 2009 10:07 am

Hi,

When working on Ubuntu its pretty simple to build codelite

Here are the steps to do it:
Install the wxwidgets from Ubuntu repositories:

Code: Select all
sudo apt-get install libwxgtk2.8-dev


install GTK development:
Code: Select all
sudo apt-get install libgtk2.0-dev


checkout codelite sources (which you already did)

from codelite sources directory:
Code: Select all
./configure
make

once compilation is done:

Code: Select all
sudo make install


Next, install cscope:
Code: Select all
sudo apt-get install cscope


You are ready to work with codelite + cscope.

The problem is that the Ubuntu package and my provided packages are different:
While building codelite from sources, it will install ALL the plugins, the package maintainer for codelite has decided to break codelite into smaller pieces - so you dont really need to install the cscope plugin, it is already there (you only need to install cscope tool)

Eran
Make sure you have read the HOW TO POST thread
User avatar
eranif
CodeLite Plugin
 
Posts: 5723
Joined: Wed Feb 06, 2008 9:29 pm

Re: Installing cscope plugin on Ubuntu 9.10

Postby clanmills » Tue Nov 24, 2009 1:36 am

Eran

Thanks for your reply. I discovered a similar solution. I installed the wx developer's package with the synamptic package manager. Then codelite built, installed and executed first time - complete with cscope.

Anyway, everything's working now. Thanks for your reply.

I'm really impressed by what you have done here and I've shown codelite to my boss and coworkers. Everybody's amazed by what you have achieved.

Robin
http://clanmills.com
clanmills
CodeLite Curious
 
Posts: 2
Joined: Sun Nov 22, 2009 9:46 am


Return to CScope

Who is online

Users browsing this forum: No registered users and 3 guests